# -*- encoding: utf-8 -*-

from django import template
from django.template.defaultfilters import stringfilter
from auf.django.txt2image.models import Text2Image

@stringfilter
def txt2image(txt):
    t2i = Text2Image(txt)
    return t2i.get_html_image(regenerate=True)

register = template.Library()
register.filter('txt2image', txt2image)
